Bug 833623 - Review Request: mingw-nettle - MinGW package for nettle cryptographic library
Review Request: mingw-nettle - MinGW package for nettle cryptographic library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On: 833622
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 18:18 EDT by Michael Cronenworth
Modified: 2012-09-27 01:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-27 01:10:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kalevlember: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Cronenworth 2012-06-19 18:18:24 EDT
Spec URL: http://michael.cronenworth.com/RPMS/mingw-nettle.spec
SRPM URL: http://michael.cronenworth.com/RPMS/mingw-nettle-2.5-0.1pre.fc17.src.rpm
Description: MinGW cross-compiled version of the nettle library.
Fedora Account System Username: mooninite
Comment 1 Michael Cronenworth 2012-07-10 13:02:31 EDT
The native version has been re-instated into Fedora last week. I have updated my spec to match the native version layout.

http://michael.cronenworth.com/RPMS/mingw-nettle.spec
http://michael.cronenworth.com/RPMS/mingw-nettle-2.4-1.fc17.src.rpm
Comment 2 Ralf Corsepius 2012-08-29 23:05:16 EDT
Package fails to build in mock:

...
m4 ../asm.m4 machine.m4 config.m4 \
        aes-decrypt-internal.asm >aes-decrypt-internal.s
/bin/sh: m4: command not found
make[1]: *** [aes-decrypt-internal.o] Error 127
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory `/builddir/build/BUILD/nettle-2.4/build_win32'
make: *** [all] Error 2
make: Leaving directory `/builddir/build/BUILD/nettle-2.4/build_win32'

Seems to me, as if m4 isn't part of the tools being installed in mock by default anymore ;)

=> BR: m4
Comment 4 Kalev Lember 2012-09-21 09:29:14 EDT
Taking for review.
Comment 5 Kalev Lember 2012-09-21 09:54:05 EDT
Fedora review of mingw-nettle-2.4-2.fc17.src.rpm 2012-09-21

+ OK
! needs attention

rpmlint output:

$ rpmlint mingw-nettle-2.4-2.fc18.src.rpm \
          mingw32-nettle-2.4-2.fc18.noarch.rpm \
          mingw64-nettle-2.4-2.fc18.noarch.rpm \
          mingw32-nettle-debuginfo-2.4-2.fc18.noarch.rpm \
          mingw64-nettle-debuginfo-2.4-2.fc18.noarch.rpm
mingw-nettle.src: W: spelling-error Summary(en_US) crytopgraphic -> topographic, cartographic, photographic
mingw-nettle.src: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
mingw-nettle.src: W: spelling-error %description -l en_US crypto -> crypt, crypts, crypt o
mingw-nettle.src: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
mingw32-nettle.noarch: W: spelling-error Summary(en_US) crytopgraphic -> topographic, cartographic, photographic
mingw32-nettle.noarch: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
mingw32-nettle.noarch: W: spelling-error %description -l en_US crypto -> crypt, crypts, crypt o
mingw32-nettle.noarch: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/arctwo.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/realloc.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/rsa-compat.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/blowfish.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/ctr.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/buffer.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/ripemd160.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/arcfour.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/nettle-meta.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/dsa.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/hmac.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/aes.h
mingw32-nettle.noarch: W: file-not-utf8 /usr/share/doc/mingw32-nettle-2.4/README
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/sha.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/md2.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/cast128.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/serpent.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/md4.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/base16.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/md5-compat.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/md5.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/macros.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/des.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/bignum.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/cbc.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/rsa.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/pgp.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/asn1.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/yarrow.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/twofish.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/nettle-types.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/base64.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/sexp.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/knuth-lfib.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/des-compat.h
mingw32-nettle.noarch: E: incorrect-fsf-address /usr/i686-w64-mingw32/sys-root/mingw/include/nettle/pkcs1.h
mingw64-nettle.noarch: W: spelling-error Summary(en_US) crytopgraphic -> topographic, cartographic, photographic
mingw64-nettle.noarch: W: spelling-error %description -l en_US cryptographic -> cryptography, cryptographer, crystallographic
mingw64-nettle.noarch: W: spelling-error %description -l en_US crypto -> crypt, crypts, crypt o
mingw64-nettle.noarch: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/dsa.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/arcfour.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/md2.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/arctwo.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/ctr.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/serpent.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/bignum.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/cbc.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/yarrow.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/pkcs1.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/macros.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/asn1.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/rsa-compat.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/blowfish.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/sha.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/cast128.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/aes.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/base16.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/buffer.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/sexp.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/twofish.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/knuth-lfib.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/des.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/md5-compat.h
mingw64-nettle.noarch: W: file-not-utf8 /usr/share/doc/mingw64-nettle-2.4/README
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/ripemd160.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/des-compat.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/pgp.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/rsa.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/realloc.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/nettle-types.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/nettle-meta.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/hmac.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/md4.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/md5.h
mingw64-nettle.noarch: E: incorrect-fsf-address /usr/x86_64-w64-mingw32/sys-root/mingw/include/nettle/base64.h
mingw32-nettle-debuginfo.noarch: E: debuginfo-without-sources
mingw64-nettle-debuginfo.noarch: E: debuginfo-without-sources
5 packages and 0 specfiles checked; 72 errors, 14 warnings.

The only rpmlint warning I would address are the two 'file-not-utf8' warnings
about the README file. The rest of the documentation is already removed from
the rpm, so it might make sense to also get rid of the README files.

Other rpmlint warnings/errors are harmless and can be ignored.

+ The package is named according to Fedora MinGW packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The stated license is the same as the one for the corresponding
  native Fedora package
+ The package contains the license file (COPYING.lib)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  450be8c4886d46c09f49f568ad6fa013  nettle-2.4.tar.gz
  450be8c4886d46c09f49f568ad6fa013  Download/nettle-2.4.tar.gz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a locale handling
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
Not applicable to MinGW packages.
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages must not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Directory ownership sane
+ Filenames are valid UTF-8


Summary
-------
Looks nice and clean. Besides the 'file-not-utf8' warning mentioned above, I
have two small nitpicks, which are of course not review blockers:

 - Might be nice to start Summary with 'MinGW ...', like most of the other
   MinGW library packages have, just to make it visually more consistent
   when listing mingw packages.

 - We are trying to move away from %mingw_make_install and just use the
   %mingw_make macro with an 'install' argument. Would be nice to use
   '%mingw_make' here as well.

Feel free to address these before importing the package into SCM.

APPROVED
Comment 6 Michael Cronenworth 2012-09-22 01:34:55 EDT
Thanks, Kalev. I will make those changes.

New Package SCM Request
=======================
Package Name: mingw-nettle
Short Description: MinGW package for nettle cryptographic library
Owners: mooninite
Branches: f17 f18
InitialCC:
Comment 7 Gwyn Ciesla 2012-09-22 10:52:37 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-09-22 15:32:58 EDT
mingw-nettle-2.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-nettle-2.4-2.fc18
Comment 9 Fedora Update System 2012-09-22 15:34:03 EDT
mingw-nettle-2.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-nettle-2.4-2.fc17
Comment 10 Fedora Update System 2012-09-22 17:41:25 EDT
mingw-nettle-2.4-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 11 Fedora Update System 2012-09-27 01:10:00 EDT
mingw-nettle-2.4-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.